Subject: Re: [Bitcoin-development] [PULL] When parsing base58 data, accept [0O] as o, and [l|!] as 1

From: "Luke-Jr" <[email-masked]>
Date: Fri, 12 Aug 2011 12:43:22 -0400

On Friday, August 12, 2011 12:35:27 PM Gavin Andresen wrote:
> pszDecode58 is not a pointer to a zero-terminated string; it should be
> pnDecode58.

Updated variable name in branch...

> I'm torn between "meh, whatever" and "this will just cause people
> headaches when they wonder why vanity addresses don't work in
> blockexplorer because theymos decides not to bother changing his
> code..."

Perhaps the vanity use would need to be introduced only after the community 
has accepted these as alternative legitimate representations. Even without 
that, I think gracefully handling the typos would be sensible.